Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188579 - Upgrade Lucene Library and supporting classes
Upgrade Lucene Library and supporting classes
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
PC Mac OS X
: P3 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 11:21 UTC by Tomas Zezula
Modified: 2010-08-18 09:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-07-12 11:21:13 UTC
The supporting classes for Lucene were written 5 years ago when it was impossible to do large queries (due to TooManyClausesException) and the support had to implement these queries by low level IndexReader API. Current lucene implements the standard queries using FilterQuery over IndexReader (similar to NB support). The support should be migrated to use these new API. This task also requires measurements of performance impact.
Comment 1 Tomas Zezula 2010-08-18 09:57:04 UTC
ALready integrated into jet-main.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo